get
https://api.rotowire.com/Soccer/SERI/News.php
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
date | string | No | Date to retrieve news for. Format YYYY-MM-DD. Defaults to current date. |
hours | integer | No | Return news from the last N hours. |
max_priority | integer | No | Return only news at or above this priority level. |
with_analysis | integer | No | Include analytical commentary. 1 = Yes, 0 = No. Options: 0, 1 · Default: 1 |
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | Date in YYYY-MM-DD format |
Updates | array | Array of news or injury update objects |
Updates Object
| Field | Type | Description |
|---|---|---|
Id | string | Unique RotoWire identifier |
DateTime | string | Date and time in ISO 8601 format |
Priority | string | News priority level — 1 = Biggest News, 2 = Top Players, 3 = Regular, 4 = Minor Leaguers, 5 = Non-Fantasy |
IsTransaction | integer | 1 if this update is a roster transaction, 0 if it is a news item |
Headline | string | Short headline summarizing the update |
Notes | string | Brief factual notes about the player or event |
Analysis | string | In-depth analytical commentary on fantasy and betting impact |
Player | object | Player information object |
Team | object | Team information object |
Player Object
| Field | Type | Description |
|---|---|---|
FirstName | string | Player's first name |
LastName | string | Player's last name |
Position | string | Player's eligible position(s) (e.g. GK, DEF, MID, FWD) |
Link | string | URL to the player's RotoWire profile page |
Id | string | Unique RotoWire identifier |
Team Object
| Field | Type | Description |
|---|---|---|
Name | string | Full name |
Id | string | Unique RotoWire identifier |
Example Response
{"Date":"2026-05-14","Updates":{"Id":"515935","DateTime":"2026-05-14 07:58:32.067","Priority":"3","IsTransaction":0,"Headline":"Will skip the last two tilts","Notes":"Kossounou is nursing a grade one biceps femoris strain, Mediaset reported.","Analysis":"Kossounou isn\u0027t dealing with an overly concerning problem, but he won\u0027t be able to play in the last two games of the season. He\u0027s had an up-and-down year, as he wasn\u0027t a regular after AFCON. He has contributed to four clean sheets in 29 appearances (20 starts), recording 29 tackles, 22 interceptions and 55 clearances. Sead Kolasinac, Honest Ahanor and Marten De Roon are the only healthy options in the back at the moment.","Player":{"FirstName":"Odilon","LastName":"Kossounou","Position":"D","Link":"https://www.rotowire.com/soccer/player/odilon-kossounou-29818","Id":"29818"},"Team":{"Name":"Atalanta","Id":"98"}}}